import request from '@/utils/request'

//进行提交
// 查询锁控机柜-仓位-列表
export function getIsLockCabinetSlotsPage(query) {
  return request({
    url: '/iscs/slots/getIsLockCabinetSlotsPage',
    method: 'get',
    params: query
  })
}

// 获取锁控机柜-仓位详细信息
export function selectIsLockCabinetSlotsById(repairId) {
  return request({
    url: '/iscs/slots/selectIsLockCabinetSlotsById?slotId=' + repairId,
    method: 'get'
  })
}

//新增锁控机柜-仓位
export function insertIsLockCabinetSlots(query) {
  return request({
    url: '/iscs/slots/insertIsLockCabinetSlots',
    method: 'post',
    data: query
  })
}
//---
// 修改锁控机柜-仓位信息
export function updateIsLockCabinetSlots(data) {
  return request({
    url: '/iscs/slots/updateIsLockCabinetSlots',
    method: 'post',
    data: data
  })
}

// 删除锁控机柜-仓位信息
export function deleteIsLockCabinetSlotsBySlotIds(repairId) {
  return request({
    url: '/iscs/slots/deleteIsLockCabinetSlotsBySlotIds?slotIds=' + repairId,
    method: 'post'
  })
}
